---
lang: en
title: 'API docs: context.subscription'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.subscription.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Subscription](./context.subscription.md)

## Subscription interface

Subscription of context events. It's modeled after https://github.com/tc39/proposal-observable.

<b>Signature:</b>

```typescript
export interface Subscription 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [closed](./context.subscription.closed.md) | <code>boolean</code> | Is the subscription closed? |

## Methods

|  Method | Description |
|  --- | --- |
|  [unsubscribe()](./context.subscription.unsubscribe.md) | unsubscribe |


